Me TV 2.0 series and REPOSITORIES

Asked by Kajetan Kaczmarek on 2011-12-18

Why ME TV 2.0 series are not in repositories? Nearly a year from released and non professorial users can not install this software, because sources need depending. We waiting for repositories for Mint, Ubuntu and Debian.

Question information

Language:
English Edit question
Status:
Answered
For:
Me TV Edit question
Assignee:
No assignee Edit question
Last query:
2011-12-18
Last reply:
2011-12-24

The 2.0 series was in beta and the main developer is now gone so there is no progress on that. The series 2.0 is really different from the 1.3.6 and is kind of buggy. It's why I'm trying to restart from 1.3.6 and create a 1.4 series. I'm new at this and I'm learning how to do things so it is slow.

My goal is to maintain the series 1.4 and fix bug as soon as they are filled. I'm not planning on adding new feature for now, me-tv is simple and complete and I'd like to keep it that way. I will, eventually work on integration in ubuntu (i.e. unity).

Mantas Kriaučiūnas (mantas) said : #2

Hi Frédéric,

I'm using me-tv since 2008 (0.7.x) and until 2.0 there were problems with displaying H.264/MPEG-4 AVC DVB-T streams - picture and sound stops for few seconds when video is dark or static (for example when photos are showing). H.264/MPEG-4 AVC codec is used for DVB-T in several European countries and in all Baltic states - Lithuania, Latvia, Estonia, Poland see http://en.wikipedia.org/wiki/DVB-T#Countries_and_territories_using_DVB-T

me-tv 2.0.1 and VLC media player displays H.264/MPEG-4 AVC TV without these problems, so, maybe is better to continue 2.x series instead of buggy 1.3.6 (see for example this bug - https://launchpad.net/bugs/781031 )?
I know, that 2.x series has other bugs, but I'm using me-tv 2.0.1 for three weeks and didn't noticed any major problems. Also me-tv 1.3.6 displays strange green lines in half bottom screen when running in Ubuntu 11.10, while me-tv 2.0.1 and VLC media player works fine on the same computer with Ubuntu 11.10.
I'm using me-tv 2.0.1 packages from http://getdeb.net repository and imported packaging branch - see lp:~me-tv-administration/me-tv/me-tv-packaging (https://code.launchpad.net/~me-tv-administration/me-tv/me-tv-packaging ) for creating me-tv 2.0.1 packages in me-tv-development PPA.

If you have some important reasons to continue 1.3.6 instead of 2.0.1 then please at least make version, that uses libvlc instead of buggy libxine, as suggested Michael Lamothe in bugreport https://launchpad.net/bugs/781031 :
Michael Lamothe wrote on 2011-06-08:
> I guess that can make a 1.3.7 that uses libvlc due to the number of users with this issue.

Frédéric Côté (frederic-cote) said:
> The 2.0 series was in beta and the main developer is now gone so there is no progress on that.
> The series 2.0 is really different from the 1.3.6 and is kind of buggy. It's why I'm trying to restart from 1.3.6 and create a 1.4 series.

Hi Mantas,

You are right, libvlc give better result then libxine and I intend to
switch to it asap. I will start with the version 1.4.x. You can use version
2.0.1 until I implement this in 1.4 series.

I really don't know how long it will take me but I'll do my best.

Cheers,
Fred

On Mon, Dec 19, 2011 at 3:25 AM, Mantas Kriaučiūnas <
<email address hidden>> wrote:

> Question #182263 on Me TV changed:
> https://answers.launchpad.net/me-tv/+question/182263
>
> Mantas Kriaučiūnas requested more information:
> Hi Frédéric,
>
> I'm using me-tv since 2008 (0.7.x) and until 2.0 there were problems
> with displaying H.264/MPEG-4 AVC DVB-T streams - picture and sound stops
> for few seconds when video is dark or static (for example when photos
> are showing). H.264/MPEG-4 AVC codec is used for DVB-T in several
> European countries and in all Baltic states - Lithuania, Latvia,
> Estonia, Poland see
> http://en.wikipedia.org/wiki/DVB-T#Countries_and_territories_using_DVB-T
>
> me-tv 2.0.1 and VLC media player displays H.264/MPEG-4 AVC TV without
> these problems, so, maybe is better to continue 2.x series instead of buggy
> 1.3.6 (see for example this bug - https://launchpad.net/bugs/781031 )?
> I know, that 2.x series has other bugs, but I'm using me-tv 2.0.1 for
> three weeks and didn't noticed any major problems. Also me-tv 1.3.6
> displays strange green lines in half bottom screen when running in Ubuntu
> 11.10, while me-tv 2.0.1 and VLC media player works fine on the same
> computer with Ubuntu 11.10.
> I'm using me-tv 2.0.1 packages from http://getdeb.net repository and
> imported packaging branch - see
> lp:~me-tv-administration/me-tv/me-tv-packaging (
> https://code.launchpad.net/~me-tv-administration/me-tv/me-tv-packaging )
> for creating me-tv 2.0.1 packages in me-tv-development PPA.
>
> If you have some important reasons to continue 1.3.6 instead of 2.0.1 then
> please at least make version, that uses libvlc instead of buggy libxine, as
> suggested Michael Lamothe in bugreport https://launchpad.net/bugs/781031 :
> Michael Lamothe wrote on 2011-06-08:
> > I guess that can make a 1.3.7 that uses libvlc due to the number of
> users with this issue.
>
> Frédéric Côté (frederic-cote) said:
> > The 2.0 series was in beta and the main developer is now gone so there
> is no progress on that.
> > The series 2.0 is really different from the 1.3.6 and is kind of buggy.
> It's why I'm trying to restart from 1.3.6 and create a 1.4 series.
>
> --
> You received this question notification because you are a direct
> subscriber of the question.
>

--
"In a world without walls, who really needs Windows"
"Nothing is foolproof because fools are so ingenious"

Kajetan Kaczmarek (kajttek) said : #4

@Frédéric

I use my ME TV 1.3 in Poland with MPEG 4 and i have this problem with black scenes - sound disappears for few seconds.
I don't know that ver 2.0 is on the GetDeb, so i try install it. It good hear that this problem is eliminated in this version. This problem it's my major source of search new version of this program, because I have problem with install from tar.gz

Thanks for help
P.S. it good idea that the place link to getDeb on this page.

Mantas Kriaučiūnas (mantas) said : #5

Hi Kajetan,

That's why I want to put me-tv 2.0.1 packages into https://launchpad.net/~me-tv-development/+archive
PPA repository.

Frédéric, please accept me to https://launchpad.net/~me-tv-development team,
then I will be able to put new me-tv packages to ppa:me-tv-development

On Mon, Dec 19, 2011 at 03:55:41PM -0000, Kajetan Kaczmarek wrote:
> I use my ME TV 1.3 in Poland with MPEG 4 and i have this problem with black scenes - sound disappears for few seconds.
> I don't know that ver 2.0 is on the GetDeb, so i try install it. It good hear that this problem is eliminated in this version. This problem it's my major source of search new version of this program, because I have problem with install from tar.gz
> Thanks for help
> P.S. it good idea that the place link to getDeb on this page.

--
Labanaktis/Good luck,
Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
Public organization "Open Source for Lithuania" - www.akl.lt
Geriausios biuro programos verslui ir namams - http://openoffice.lt
Prekyba naujais ir atnaujintais kompiuteriais su Linux OS - http://tinklas.eu
Naudok Baltix GNU/Linux sistemą savo kompiuteryje - http://baltix.lt

Sorry, I'm a member of this team but I don't have any control of it.

You can try to contact the owner (Darrin
Ritter<https://launchpad.net/~darrinritter>
)

Sorry again,
Fred

On Mon, Dec 19, 2011 at 2:45 PM, Mantas Kriaučiūnas <
<email address hidden>> wrote:

> Question #182263 on Me TV changed:
> https://answers.launchpad.net/me-tv/+question/182263
>
> Mantas Kriaučiūnas proposed the following answer:
> Hi Kajetan,
>
> That's why I want to put me-tv 2.0.1 packages into
> https://launchpad.net/~me-tv-development/+archive
> PPA repository.
>
> Frédéric, please accept me to https://launchpad.net/~me-tv-developmentteam,
> then I will be able to put new me-tv packages to ppa:me-tv-development
>
> On Mon, Dec 19, 2011 at 03:55:41PM -0000, Kajetan Kaczmarek wrote:
> > I use my ME TV 1.3 in Poland with MPEG 4 and i have this problem with
> black scenes - sound disappears for few seconds.
> > I don't know that ver 2.0 is on the GetDeb, so i try install it. It good
> hear that this problem is eliminated in this version. This problem it's my
> major source of search new version of this program, because I have problem
> with install from tar.gz
> > Thanks for help
> > P.S. it good idea that the place link to getDeb on this page.
>
> --
> Labanaktis/Good luck,
> Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
> Public organization "Open Source for Lithuania" - www.akl.lt
> Geriausios biuro programos verslui ir namams - http://openoffice.lt
> Prekyba naujais ir atnaujintais kompiuteriais su Linux OS -
> http://tinklas.eu
> Naudok Baltix GNU/Linux sistemą savo kompiuteryje - http://baltix.lt
>
> You received this question notification because you are a direct
> subscriber of the question.
>

--
"In a world without walls, who really needs Windows"
"Nothing is foolproof because fools are so ingenious"

Hi Mantas,

Playing around with both 1.3.6 and 2.0.1 version, I think that I will pursue the 1.4.0 branch from the 2.0.1 branch. The 2.0.1 branch don't have as many feature as 1.3.6 branch but is working great. The client/server functionality is very useful in a setup like mine (many tuners in one computer and many other computers connect to TV).

So, my focus will be in bringing the features of the 1.3.6 branch to 2.0.1 (some kind of merge). The first one will be the possibility to edit "scheduled recordings" and the second one will be the channel import.

Just so you know...
Cheers,
Frédéric

Mantas Kriaučiūnas (mantas) said : #8

Hi Frédéric,

Thank you for improving Me-TV.

The main Me-TV developer told, that the latest Me-TV 2.x branch code is on
https://github.com/nqzero/me-tv

Merry Christmas :)

On Sat, Dec 24, 2011 at 03:41:00AM -0000, Frédéric Côté wrote:
> https://answers.launchpad.net/me-tv/+question/182263
> Hi Mantas,
> Playing around with both 1.3.6 and 2.0.1 version, I think that I will
> pursue the 1.4.0 branch from the 2.0.1 branch. The 2.0.1 branch don't
> have as many feature as 1.3.6 branch but is working great. The
> client/server functionality is very useful in a setup like mine (many
> tuners in one computer and many other computers connect to TV).
>
> So, my focus will be in bringing the features of the 1.3.6 branch to
> 2.0.1 (some kind of merge). The first one will be the possibility to
> edit "scheduled recordings" and the second one will be the channel
> import.

--
Merry Christmas,
Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
Public organization "Open Source for Lithuania" - www.akl.lt
Geriausios biuro programos verslui ir namams - http://openoffice.lt
Prekyba naujais ir atnaujintais kompiuteriais su Linux OS - http://tinklas.eu
Naudok Baltix GNU/Linux sistemą savo kompiuteryje - http://baltix.lt

Can you help with this problem?

Provide an answer of your own, or ask Kajetan Kaczmarek for more information if necessary.

To post a message you must log in.